Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88132 - Unresolved symbols in 4.1.0-25 radeon driver, dri disabled
Summary: Unresolved symbols in 4.1.0-25 radeon driver, dri disabled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-06 14:37 UTC by Mike A. Harris
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-08 18:36:11 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2003-04-06 14:37:32 UTC
When DRI is disabled, the following symbols are unresolved.  Might be
fixed in newer version, I'll have to check.  Reporting so it doesn't
get lost.


Symbol drmRadeonResetCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonResetCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonWaitForIdleCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonResetCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmDMA from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmRadeonResetCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonFlushIndirectBuffer from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonFlushIndirectBuffer from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStopCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonClear from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonResetCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpAcquire from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpGetMode from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpVendorId from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpDeviceId from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpEnable from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpRelease from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpAlloc from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o
is unresolved!
Symbol drmAgpRelease from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpBind from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o
is unresolved!
Symbol drmAgpFree from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o
is unresolved!
Symbol drmAgpRelease from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmMap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmMap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmMap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmMap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmRadeonInitCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStartCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonStopCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmRadeonCleanupCP from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmUnmap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmUnmap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmUnmap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmUnmap from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o is
unresolved!
Symbol drmAgpUnbind from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmAgpFree from module /usr/local/X11R6/lib/modules/drivers/radeon_drv.o
is unresolved!
Symbol drmAgpRelease from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!
Symbol drmScatterGatherFree from module
/usr/local/X11R6/lib/modules/drivers/radeon_drv.o is unresolved!

Comment 1 Mike A. Harris 2003-04-08 14:32:07 UTC
Most or all of these are already fixed in a newer release I've made since.

Need to test latest RPMs and add any more missing symbols if there are any.

Comment 2 Mike A. Harris 2004-01-10 17:35:11 UTC
This OS release is no longer supported (Red Hat Linux 7.2), however
Red Hat Enterprise Linux 2.1 has this X release in it, so I'm
reassigning it to that product for review in a future update.


Note You need to log in before you can comment on or make changes to this bug.